> For the complete documentation index, see [llms.txt](https://pacifica.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/account/get-positions.md).

# Get positions

```
GET /api/v1/positions
```

#### Query Parameters

<table><thead><tr><th width="176">Field</th><th width="98">Type</th><th width="95">Need</th><th width="189">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>"account"</code></td><td>string</td><td>required</td><td>Connected wallet address</td><td><code>42trU9A5...</code></td></tr></tbody></table>

```
/api/v1/positions?account=42trU9A5...
```

#### Response

* Status 200: Successfully retrieved account information

```json
  {
  "success": true,
  "data": [
    {
      "symbol": "AAVE",
      "side": "ask",
      "amount": "223.72",
      "entry_price": "279.283134",
      "margin": "0", // only shown for isolated margin
      "funding": "13.159593",
      "isolated": false,
      "liquidation_price": null,
      "created_at": 1754928414996,
      "updated_at": 1759223365538
    }
  ],
  "error": null,
  "code": null,
  "last_order_id": 1557431179
}
```

<table><thead><tr><th width="208">Field</th><th width="186">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>"symbol"</code></td><td>string</td><td>Trading pair symbol</td></tr><tr><td><code>"side"</code></td><td>string</td><td>Position side: <code>bid</code> (long) or <code>ask</code> (short)</td></tr><tr><td><code>"amount"</code></td><td>decimal string</td><td>Position size in the asset's base unit</td></tr><tr><td><code>"entry_price"</code></td><td>decimal string</td><td>Entry price of the position. Takes VWAP if position was opened by multiple trades executed at different prices.</td></tr><tr><td><code>"margin"</code></td><td>decimal string</td><td>Amount of margin allocated to an isolated position (only shown when isolated)</td></tr><tr><td><code>"funding"</code></td><td>decimal string</td><td>Funding paid by this position since open</td></tr><tr><td><code>"isolated"</code></td><td>boolean</td><td>If the position is opened in isolated margin mode</td></tr><tr><td><code>"liquidation_price"</code></td><td>decimal string or null</td><td>Estimated liquidation price for the position. <code>null</code> if not applicable</td></tr><tr><td><code>"created_at"</code></td><td>integer</td><td>Timestamp in milliseconds when the position was opened</td></tr><tr><td><code>"updated_at"</code></td><td>integer</td><td>Timestamp in milliseconds when these settings were last updated</td></tr><tr><td><code>"last_order_id"</code></td><td>integer</td><td>Exchange-wide nonce. Used to reliably determine exchange event ordering. Sequential and not subject to clock drift.</td></tr></tbody></table>

* Status 400: Invalid request parameters
* Status 401: Unauthorized access
* Status 500: Internal server error

#### Code Example (Python)

```python
import requests

response = requests.get(
    "/api/v1/positions?account=42trU9A5...",
    headers={"Accept": "*/*"},
)

data = response.json()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/account/get-positions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
